import request from '@/utils/request'

// 分页查询订单车辆列表
export function pageListVehicle(query) {
  return request({
    url: '/order/vehicle/pageList',
    method: 'get',
    params: query
  })
}

// 查询订单车辆列表
export function listVehicle(query) {
  return request({
    url: '/order/vehicle/list',
    method: 'get',
    params: query
  })
}

// 查询订单车辆详细
export function getVehicle(ID) {
  return request({
    url: '/order/vehicle/' + ID,
    method: 'get'
  })
}

// 新增订单车辆
export function addVehicle(data) {
  return request({
    url: '/order/vehicle',
    method: 'post',
    data: data
  })
}

// 修改订单车辆
export function updateVehicle(data) {
  return request({
    url: '/order/vehicle',
    method: 'put',
    data: data
  })
}

// 删除订单车辆
export function delVehicle(ID) {
  return request({
    url: '/order/vehicle/' + ID,
    method: 'delete'
  })
}

// 导出订单车辆
export function exportVehicle(query) {
  return request({
    url: '/order/vehicle/' + 'export',
    method: 'post',
    params: query
  })
}
